org.apache.nutch.api.model.response

## Class NutchStatus

- java.lang.Object
- - org.apache.nutch.api.model.response.NutchStatus

-     public class NutchStatus
      extends java.lang.Object

  Information object for status of `NutchServer`. Gives information about when server is started, its configurations, jobs, running jobs and active configuration id.
  See Also:
    `NutchServer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NutchStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActiveConfId()` Gets active configuration id
    `java.util.Set<java.lang.String>` | `getConfiguration()` Gets configuration ids
    `java.util.Collection<JobInfo>` | `getJobs()` Gets jobs
    `java.util.Collection<JobInfo>` | `getRunningJobs()` Gets running jobs
    `java.util.Date` | `getStartDate()` Gets start date of the `NutchServer`
    `void` | `setActiveConfId(java.lang.String activeConfId)` Sets active configuration id
    `void` | `setConfiguration(java.util.Set<java.lang.String> configuration)` Sets configuration ids
    `void` | `setJobs(java.util.Collection<JobInfo> jobs)` Sets jobs
    `void` | `setRunningJobs(java.util.Collection<JobInfo> runningJobs)` Sets running jobs
    `void` | `setStartDate(java.util.Date startDate)` Sets start date of the `NutchServer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchStatus

          public NutchStatus()

  - ### Method Detail

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets start date of the `NutchServer`
      Returns:
        start date of the server

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Sets start date of the `NutchServer`
      Parameters:
        `startDate` - start date

    - #### getConfiguration

          public java.util.Set<java.lang.String> getConfiguration()

      Gets configuration ids
      Returns:
        configuration ids

    - #### setConfiguration

          public void setConfiguration(java.util.Set<java.lang.String> configuration)

      Sets configuration ids
      Parameters:
        `configuration` - configuration ids

    - #### getJobs

          public java.util.Collection<JobInfo> getJobs()

      Gets jobs
      Returns:
        jobs

    - #### setJobs

          public void setJobs(java.util.Collection<JobInfo> jobs)

      Sets jobs
      Parameters:
        `jobs` - jobs

    - #### getRunningJobs

          public java.util.Collection<JobInfo> getRunningJobs()

      Gets running jobs
      Returns:
        running jobs

    - #### setRunningJobs

          public void setRunningJobs(java.util.Collection<JobInfo> runningJobs)

      Sets running jobs
      Parameters:
        `runningJobs` - running jobs

    - #### getActiveConfId

          public java.lang.String getActiveConfId()

      Gets active configuration id
      Returns:
        active configuration id

    - #### setActiveConfId

          public void setActiveConfId(java.lang.String activeConfId)

      Sets active configuration id
      Parameters:
        `activeConfId` - active configuration id

Copyright © 2019 The Apache Software Foundation